export { default as Modal } from "./modal";
export { default as Button, CreateButton } from "./button";
export { default as Table } from "./table";
export declare const $confirm: (props?: import("./modal/types").properties | undefined) => {
    remove(): void;
};
export declare const $alert: {
    (context: string, options?: import("./modal/types").properties | undefined): void;
    (props: import("./modal/types").properties): void;
};
export { default as Radio } from "./radio";
export { default as RadioGroup } from "./radioGroup";
export { default as Card } from "./card";
export { default as Ellipsis } from "./ellipsis";
export { default as Divider } from "./divider";
export { default as Split } from "./split";
export { default as Tooltip } from "./Tooltip";
export { default as Message } from "./message";
export { default as Icon } from "./icon";
export { default as Pagination } from "./pagination";
export { default as Input } from "./input";
export { default as InputNumber } from "./inputNumber";
export { default as ScrollBar } from "./scrollBar";
export { default as ProgressBar } from "./progressBar";
export { External as $Loading } from "./progressBar";
export { default as Select } from "./select";
export { default as Option } from "./select/option";
export { default as Switch } from "./switch";
export { default as ColorPicker } from "./colorPicker";
export { default as DatePicker } from "./datePicker";
export declare const Menu: import("vue").DefineComponent<{
    theme: {
        type: import("vue").PropType<"light">;
        default: string;
    };
    mode: {
        type: import("./menu/types").modePropType;
        default: string;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    openName: {
        type: import("./menu/types").openNamePropType;
        default: never[];
    };
    activeName: {
        type: import("./menu/types").activeNamePropType;
        default: string;
    };
    accordion: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    theme: {
        type: import("vue").PropType<"light">;
        default: string;
    };
    mode: {
        type: import("./menu/types").modePropType;
        default: string;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    openName: {
        type: import("./menu/types").openNamePropType;
        default: never[];
    };
    activeName: {
        type: import("./menu/types").activeNamePropType;
        default: string;
    };
    accordion: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    theme: "light";
    mode: import("./menu/types").mode;
    width: string;
    openName: import("./menu/types").openName;
    activeName: import("./menu/types").activeName;
    accordion: boolean;
}>;
export declare const MenuItem: import("vue").DefineComponent<{
    name: {
        type: import("./menu/types").activeNamePropType;
        required: true;
    };
    to: {
        type: StringConstructor;
    };
    target: {
        type: import("vue").PropType<string | undefined>;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    name: {
        type: import("./menu/types").activeNamePropType;
        required: true;
    };
    to: {
        type: StringConstructor;
    };
    target: {
        type: import("vue").PropType<string | undefined>;
    };
}>>, {}>;
export declare const SubMenu: import("vue").DefineComponent<{
    title: {
        default: string;
    };
    name: {
        type: import("./menu/types").openNamesPropType;
        required: true;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    title: {
        default: string;
    };
    name: {
        type: import("./menu/types").openNamesPropType;
        required: true;
    };
}>>, {
    title: string;
}>;
