import { PropType } from "vue";
import { propcolumns, SortConfig, SortType, TableColumns } from "./propTypes";
declare const _default: import("vue").DefineComponent<{
    columns: {
        type: propcolumns;
        default(): never[];
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    sortConfig: {
        default: SortConfig;
        type: PropType<SortConfig>;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    sortChange: (type: SortType, key: string, columnIndex: number) => true;
    "update:sortConfig": null;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    columns: {
        type: propcolumns;
        default(): never[];
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    sortConfig: {
        default: SortConfig;
        type: PropType<SortConfig>;
    };
}>> & {
    "onUpdate:sortConfig"?: ((...args: any[]) => any) | undefined;
    onSortChange?: ((type: SortType, key: string, columnIndex: number) => any) | undefined;
}, {
    columns: TableColumns<any>[];
    border: boolean;
    sortConfig: SortConfig;
}>;
export default _default;
