import { InputTypeProps, TextAlignPropType } from "./types";
declare const _default: import("vue").DefineComponent<{
    width: {
        default: string;
        type: (StringConstructor | NumberConstructor)[];
    };
    modelValue: {
        default: string;
        type: (StringConstructor | NumberConstructor)[];
    };
    placeholder: {
        default: string;
        type: StringConstructor;
    };
    disabled: {
        default: boolean;
        type: BooleanConstructor;
    };
    type: {
        default: string;
        type: InputTypeProps;
    };
    /**文本对齐方式，仅限于type 不为 textarea 时使用*/
    textAlign: {
        default: string;
        type: TextAlignPropType;
    };
    /**输入框行数，仅 type 为 'textarea' 时有效 */
    rows: {
        type: NumberConstructor;
        default: number;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": null;
    blur: (event: FocusEvent) => true;
    focus: (event: FocusEvent) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    width: {
        default: string;
        type: (StringConstructor | NumberConstructor)[];
    };
    modelValue: {
        default: string;
        type: (StringConstructor | NumberConstructor)[];
    };
    placeholder: {
        default: string;
        type: StringConstructor;
    };
    disabled: {
        default: boolean;
        type: BooleanConstructor;
    };
    type: {
        default: string;
        type: InputTypeProps;
    };
    /**文本对齐方式，仅限于type 不为 textarea 时使用*/
    textAlign: {
        default: string;
        type: TextAlignPropType;
    };
    /**输入框行数，仅 type 为 'textarea' 时有效 */
    rows: {
        type: NumberConstructor;
        default: number;
    };
}>> & {
    onFocus?: ((event: FocusEvent) => any) | undefined;
    onBlur?: ((event: FocusEvent) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    width: string | number;
    type: "" | "text" | "password" | "textarea";
    modelValue: string | number;
    disabled: boolean;
    placeholder: string;
    textAlign: import("../types").AlignType;
    rows: number;
}>;
export default _default;
