import { ComputedRef, Ref } from "vue";
import { SortConfig, TableColumns } from "./types";
export declare const prefixCls = "fry-table";
interface ColumnClassConfig {
    border?: boolean;
    className?: string;
}
export declare function setColumnClass(column: TableColumns<any>, { border, className }?: ColumnClassConfig): any[];
export declare const DefaultSortConfig: SortConfig;
export declare enum TableInstanceEnum {
    table = "FryTableInstance"
}
declare type SelectionDataIndexs = boolean[];
export interface TableInstance {
    /**是否全部选中 */
    selectionValue: Ref<boolean>;
    /**选中的props的index */
    selectionDataIndexs: Ref<SelectionDataIndexs>;
    /**有选中和未选中得列 */
    selectionIndeterminate: ComputedRef<boolean>;
}
export {};
